# WebPushSubscriptionData

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Endpoint** | **string** |  | 
**Keys** | [**WebPushSubscriptionDataKeys**](WebPushSubscriptionDataKeys.md) |  | 

## Methods

### NewWebPushSubscriptionData

`func NewWebPushSubscriptionData(endpoint string, keys WebPushSubscriptionDataKeys, ) *WebPushSubscriptionData`

NewWebPushSubscriptionData instantiates a new WebPushSubscriptionData object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewWebPushSubscriptionDataWithDefaults

`func NewWebPushSubscriptionDataWithDefaults() *WebPushSubscriptionData`

NewWebPushSubscriptionDataWithDefaults instantiates a new WebPushSubscriptionData object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetEndpoint

`func (o *WebPushSubscriptionData) GetEndpoint() string`

GetEndpoint returns the Endpoint field if non-nil, zero value otherwise.

### GetEndpointOk

`func (o *WebPushSubscriptionData) GetEndpointOk() (*string, bool)`

GetEndpointOk returns a tuple with the Endpoint field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetEndpoint

`func (o *WebPushSubscriptionData) SetEndpoint(v string)`

SetEndpoint sets Endpoint field to given value.


### GetKeys

`func (o *WebPushSubscriptionData) GetKeys() WebPushSubscriptionDataKeys`

GetKeys returns the Keys field if non-nil, zero value otherwise.

### GetKeysOk

`func (o *WebPushSubscriptionData) GetKeysOk() (*WebPushSubscriptionDataKeys, bool)`

GetKeysOk returns a tuple with the Keys field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetKeys

`func (o *WebPushSubscriptionData) SetKeys(v WebPushSubscriptionDataKeys)`

SetKeys sets Keys field to given value.



[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


